MAN-RECODE(1)

NUME
man-recode - convertește paginile de manual la altă codificare

SINOPSIS
man-recode -t codificarea-dorită {--suffix=sufix|--in-place} [-dqhV] [nume-fișier]

DESCRIERE
man-recode convertește pagini de manual multiple de la o codare la alta, ghicind codarea de intrare potrivită pentru fiecare din acestea. Este util când se înregistrează permanent pagini scrise în seturi de caractere de moștenire, sau în sisteme de generare care au nevoie să recodeze un set de pagini la o codare comună singură (de obicei UTF-8) pentru instalare. Când se convertesc multe pagini de manual, acest program este mult mai rapid decât rularea man --recode sau manconv pe fiecare pagină.

Dacă o declarație de codificare este găsită pe prima linie a unei pagini de manual, atunci declarația respectivă este utilizată drept codificare de intrare pentru pagina respectivă. Dacă nu este găsită, codificarea de intrare este ghicită pe baza numelui fișierului.

Declarațiile de codificare au următoarea formă:

    '\" -*- coding: UTF-8 -*-

sau (dacă vor fi, de asemenea, declarate preprocesoarele de pagină de manual):

    '\" t -*- coding: ISO-8859-1 -*-

OPȚIUNI

-t codificarea, --to-code=codificarea
    Convertește pagini de manual la codificarea.

--suffix=sufix
    Formează fiecare nume de fișier de ieșire prin adăugarea sufixului la numele fișierului de intrare, după eliminarea oricărei extensii de comprimare.

--in-place
    Suprascrie fiecare fișier de intrare cu ieșirea, după eliminarea oricărei extensii de comprimare.

-q, --quiet
    Nu emite mesaje de eroare atunci când pagina nu poate fi convertită.

-d, --debug
    Imprimă informațiile de depanare.

-h, --help
    Imprimă un mesaj de ajutor și iese.

-V, --version
    Afișează informații despre versiune.

CONSULTAȚI ȘI
iconv(1), man(1), manconv(1)

ERORI
https://gitlab.com/man-db/man-db/-/issues
https://savannah.nongnu.org/bugs/?group=man-db

AUTOR
Colin Watson (cjwatson@debian.org).